For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get supportGet a Demo
  • Get Started
    • Welcome
    • Authorisation
    • Webhooks
  • API Reference
      • GETList invoices
      • GETGet invoice by ID
LogoLogo
Get supportGet a Demo
API ReferenceInvoices

List invoices

GET
https://api.caresquareapi.com/api/public/v1/invoices
GET
/api/public/v1/invoices
$curl https://api.caresquareapi.com/api/public/v1/invoices \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "string",
5 "invoice_number": "string",
6 "invoice_date": "2023-01-15",
7 "total": 1.1,
8 "tax": 1.1,
9 "subtotal": 1.1,
10 "plan_manager": "string",
11 "participant_id": "string",
12 "claim_status": "string",
13 "approval_status": "string",
14 "created_at": "2024-01-15T09:30:00Z",
15 "pm_provider_id": "string",
16 "s3_key": "string",
17 "email_message_id": "string",
18 "errors": true,
19 "state_management": {},
20 "is_deleted": true,
21 "wont_claim": true,
22 "is_reimbursement": true,
23 "is_duplicate": true
24 }
25 ],
26 "pagination": {
27 "limit": 1,
28 "offset": 1,
29 "total": 1,
30 "has_more": true
31 }
32}

Paginated list of invoices for the plan manager. Requires X-Plan-Manager-Id header.

Was this page helpful?
Previous

Get invoice by ID

Next
Built with

Authentication

AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.

Query parameters

limitintegerOptional1-100Defaults to 20
Items per page
offsetintegerOptional>=0Defaults to 0
Number of items to skip

Response

List of invoices
datalist of objects
paginationobject

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error